<div class="ibox-form-container mb-0">

  <div class="ibox-title">
    <div class="ibox-title-child" style="display: inline-block">
      <ng-container *ngIf="data?.viewMode">
        {{"ACCOUNT_DETAILS.TASK.SHOW"|translate}}
      </ng-container>
      <ng-container *ngIf="!data?.viewMode">
        {{"ACCOUNT_DETAILS.TASK.EDIT"|translate}}
      </ng-container>
    </div>
  </div>

  <form class="ibox-filter p-4 mt-2" [formGroup]="formGroup" (ngSubmit)="onSubmit()" autocomplete="off">

    <div class="row">
      <div class="col-sm-6">
        <label>{{'FIELD.TASK.SUJET'|translate}}</label>
        <input type="text" class="form-control form-control-sm" formControlName="subject"
               [placeholder]="'FIELD.TASK.SUJET'|translate">
        <div *ngIf="formGroup.get('subject').invalid && showValidationsMsg">
          <div *ngIf="formGroup.get('subject').errors.required" class="text-danger">
            <small>{{'FIELD.ERRORS.REQUIRED'|translate}}</small>
          </div>
        </div>
      </div>

      <div class="col-sm-6 mt-sm-0 mt-2">
        <label>{{'FIELD.TASK.TYPE'|translate}}</label>
        <ngx-select
          [items]="taskTypeList"
          [optionValueField]="'code'"
          [optionTextField]="'value'"
          formControlName="type"
          [placeholder]="'FIELD.TASK.TYPE'|translate"
          size='small'
          ngDefaultControl>
        </ngx-select>
        <div *ngIf="formGroup.get('type').invalid && showValidationsMsg">
          <div *ngIf="formGroup.get('type').errors.required" class="text-danger">
            <small>{{'FIELD.ERRORS.REQUIRED'|translate}}</small>
          </div>
        </div>
      </div>
    </div>

    <div class="row mt-2 mt-sm-4">
      <div class="col-sm-6">
        <label>{{'FIELD.TASK.STATUT'|translate}}</label>
        <ngx-select [items]="statusList" [optionValueField]="'code'" [optionTextField]="'value'" size='small'
                    formControlName="status" [placeholder]="'FIELD.TASK.STATUT'|translate" ngDefaultControl>
        </ngx-select>
        <div *ngIf="formGroup.get('status').invalid && showValidationsMsg">
          <div *ngIf="formGroup.get('status').errors.required" class="text-danger">
            <small>{{'FIELD.ERRORS.REQUIRED'|translate}}</small>
          </div>
        </div>
      </div>

      <div class="col-sm-6 mt-sm-0 mt-2">
        <label>{{'FIELD.TASK.DATE_ECHEANCE'|translate}}</label>
        <input type="text" class="form-control form-control-sm" formControlName="date"
               [owlDateTime]="date" [placeholder]="'FIELD.TASK.DATE_ECHEANCE'|translate">
        <span class="trigger date-trigger-icon" [owlDateTimeTrigger]="date"
              [title]="'FIELD.PLEASE.CHOOSE'|translate"><i class="ri-calendar-line"></i></span>
        <owl-date-time #date [pickerType]="'calendar'"></owl-date-time>
        <div *ngIf="formGroup.get('date').invalid && showValidationsMsg">
          <div *ngIf="formGroup.get('date').errors.required" class="text-danger">
            <small>{{'FIELD.ERRORS.REQUIRED'|translate}}</small>
          </div>
        </div>
      </div>
    </div>

    <div class="row mt-2 mt-sm-4">
      <div class="col-sm-6">
        <label>{{'FIELD.TASK.COMPTE'|translate}}</label>
        <input type="text" class="form-control form-control-sm" formControlName="account"
               disabled [placeholder]="'FIELD.TASK.COMPTE'|translate">
      </div>

      <div class="col-sm-6 mt-sm-0 mt-2">
        <label>{{'FIELD.TASK.CONTACT'|translate}}</label>
        <ngx-select [items]="contactsList" [optionValueField]="'code'" [optionTextField]="'descriptionContact'" size='small'
                    formControlName="contact" [placeholder]="'FIELD.TASK.CONTACT'|translate" ngDefaultControl>
        </ngx-select>
        <div *ngIf="formGroup.get('contact').invalid && showValidationsMsg">
          <div *ngIf="formGroup.get('contact').errors.required" class="text-danger">
            <small>{{'FIELD.ERRORS.REQUIRED'|translate}}</small>
          </div>
        </div>
      </div>
    </div>

    <div class="row mt-2 mt-sm-4">
      <div class="col-sm-6">
        <label>{{'FIELD.TASK.DESCRIPTION'|translate}}</label>
        <textarea rows="3" type="text" class="form-control form-control-sm" formControlName="description"
                  [placeholder]="'FIELD.TASK.DESCRIPTION'|translate"></textarea>
        <div *ngIf="formGroup.get('description').invalid && showValidationsMsg">
          <div *ngIf="formGroup.get('description').errors.required" class="text-danger">
            <small>{{'FIELD.ERRORS.REQUIRED'|translate}}</small>
          </div>
        </div>
      </div>
    </div>

    <div class="row">
      <div class="col">
        <div class="float-right mt-sm-0 mt-2">
          <button type="submit" class="submit-button btn btn-sm" [title]="'FIELD.BUTTONS.SAVE'|translate">
            <i class="ri-save-2-line"></i>
          </button>
        </div>
      </div>
    </div>

  </form>

</div>
